rt-assets-import-csv(1)

NAME
rt-assets-import - import assets to rt

SYNOPSIS
    rt-assets-import /path/to/assets.csv
    rt-assets-import --update /path/to/assets.csv

DESCRIPTION
This script will import/update assets from a CSV into rt. See RT::Extension::Assets::Import::CSV for configuration.

OPTIONS

"--config" file or "-c" file
    Provides an explicit extra configuration file which is loaded before any other configuration files. This is useful to provide per-import "AssetsImportUniqueCF" and "AssetsImportFieldMapping" settings if you are importing from multiple sources with differing columns. If this option is used, RT_SiteConfig.pm should not contain a setting for "AssetsImportFieldMapping" -- otherwise the two hashes will be merged, which will produce unexpected behavior.

"--update"
    Without this option, existing assets (as determined by matching "AssetsImportUniqueCF" values) are left untouched. With this option provided, records will be updated based on their values in the CSV.

"--insert"
    By default, assets without a "AssetsImportUniqueCF" values will produce a warning; with this flag, they will be inserted (generating their own id as needed) after all other operations.

"--mdy", "--dmy"
    Force RT to parse dates as "mm/dd/yy" or "dd/mm/yy", respectively. In the absence of this option, RT will default to the "DateDayBeforeMonth" setting, which defaults to "dd/mm/yy".

"--debug"
    Provide verbose output to STDERR during the import.